> Documentation index for AI agents: https://docs.pagerduty.com/llms.txt

# Get raw responses from a single incident

`GET https://api.pagerduty.com/analytics/raw/incidents/{id}/responses`

Provides enriched responder data for a single incident.

Example metrics include Time to Respond, Responder Type, and Response Status. See metric definitions below.

<!-- theme: info -->
> **Note:** Data availability reflects [pipeline processing cycles](https://support.pagerduty.com/main/docs/insights#:~:text=Data%20Update%20Schedule) and is generally within 24 hours under normal conditions.
Scoped OAuth requires: `analytics.read`

## Authorization

- **api_key** (apiKey) — `Authorization` header. The API Key with format `Token token=<API_KEY>`

## Path parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `id` | string | yes | The ID of the resource. |

## Header parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `Accept` | string | yes | The `Accept` header is used as a versioning header. Default: `application/vnd.pagerduty+json;version=2`. |

## Request body (`application/json`)

Parameters to apply to the dataset.

| Field | Type | Required | Description |
|---|---|---|---|
| `limit` | integer |  | Number of results to include in each batch. Limits between 1 to 1000 are accepted. Greater than 0. Maximum: 1000. |
| `order` | string |  | The order in which to display the results; asc for ascending, desc for descending. Defaults to `desc`. One of: `asc`, `desc`. |
| `order_by` | string |  | The column to use for ordering the results. One of: `requested_at`. |
| `time_zone` | string |  | The time zone to use for the results. |

Example: Example Request

```json
{
  "limit": 20,
  "order": "desc",
  "order_by": "requested_at",
  "time_zone": "America/Los_Angeles"
}
```

## Response 200

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `incident_id` | string |  | The Incident ID passed into the request. |
| `limit` | integer |  | Number of results to include in the batch. |
| `order` | string |  | The order in which the results were sorted; asc for ascending, desc for descending. One of: `asc`, `desc`. |
| `order_by` | string |  | The column that was used for ordering the results. One of: `requested_at`. |
| `time_zone` | string |  | The time zone that the results are in. |
| `responses` | array of object |  |  |
| `responses[].responder_name` | string |  | Name of the user associated with the Incident Response. |
| `responses[].responder_id` | string |  | ID of the user associated with the Incident Response. |
| `responses[].response_status` | string |  | Status of the user's interaction with the Incident notification. One of: `joined`, `pending`, `declined`. |
| `responses[].responder_type` | string |  | Type of responder, where `assigned` means the user was added to the Incident via Assignment at Incident creation, `reassigned` means the user was added to the Incident via Reassignment, `escalated` means the user was added via Escalation, and `added_responder` means the user was added via Responder Reqeuest. One of: `assigned`, `reassigned`, `escalated`, `added_responder`. |
| `responses[].requested_at` | string |  | Timestamp of when the user was requested. |
| `responses[].responded_at` | string |  | Timestamp of when the user responded to the request. |
| `responses[].time_to_respond_seconds` | integer |  | Measures the time it took for the user to respond to the Incident request. In other words, `responded_at - requested_at`. |

Example: Example Response

```json
{
  "incident_id": "PJASD33",
  "limit": 100,
  "order": "asc",
  "order_by": "requested_at",
  "time_zone": "Etc/UTC",
  "responses": {
    "requested_at": "2024-01-05T10:15:00",
    "responded_at": "2024-01-05T10:18:00",
    "responder_id": "PXPGF42",
    "responder_name": "Earline Greenholt",
    "responder_type": "added_responder",
    "response_status": "accepted",
    "time_to_respond_seconds": 180
  }
}
```

## Response 404

The requested resource was not found.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Response 429

Too many requests have been made, the rate limit has been reached.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Developer Agreement

Your access to and use of the PagerDuty Developer Services is governed by the [PagerDuty Developer Agreement](https://docs.pagerduty.com/developer/pagerduty-developer-agreement).
